PRIMESIEVE(1)

NAME
primesieve - an efficient program (and C/C++ library) for generating slices of prime numbers

SYNOPSIS
primesieve [START] STOP [OPTION]...

DESCRIPTION
Generate the primes and/or prime k-tuplets in the interval [START, STOP] (< 2^64) using the segmented sieve of Eratosthenes.

OPTIONS

-c[N+], --count[=N+]
    Count primes and prime k-tuplets, 1 <= N <= 6 N: 1 = primes, 2 = twins, 3 = triplets, ...

-d<N>,  --dist=<N>
    Sieve the interval [START, START + N]

-h,     --help
    Print this help menu

-n,     --nthprime
    Calculate the nth prime, e.g. 1 100 -n finds the 1st prime > 100

-p[N],  --print[=N]
    Print primes or prime k-tuplets, 1 <= N <= 6 N: 1 = primes, 2 = twins, 3 = triplets, ...

-q,     --quiet
    Quiet mode, prints less output

-s<N>,  --size=<N>
    Set the sieve size in kilobytes, 1 <= N <= 2048

--test
    Run various sieving tests and exit

-t<N>,  --threads=<N>
    Set the number of threads, 1 <= N <= CPU cores

--time
    Print the time elapsed in seconds

-v,     --version
    Print version and license information

EXAMPLES

    Print the primes below 1000000 $ primesieve 1e6 --print

    Count the twin primes inside [10^9, 10^9 + 2^32] $ primesieve 1e9 --dist=2**32 -c2

COPYRIGHT
Copyright © 2015 Kim Walisch BSD 2-Clause License <http://opensource.org/licenses/BSD-2-Clause>